> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cashback offer by ID

> Get cashback offer by ID.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json get /v1/deals/cashback-offers/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v1/deals/cashback-offers/{id}:
    get:
      tags:
        - Cashback Offers
      summary: Get cashback offer by ID
      description: Get cashback offer by ID.
      parameters:
        - schema:
            type: string
            description: The ID of the cashback offer to fetch.
          required: true
          description: The ID of the cashback offer to fetch.
          name: id
          in: path
      responses:
        '200':
          description: Cashback offer by id.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The ID of the retailer's cashback offer. Format: `UUID RFC
                      4122`
                    example: e8400e53-078f-4641-97e2-5c397401c0f0
                  featured:
                    type: boolean
                    description: >-
                      Indicates if the retailer's cashback offer is featured by
                      Sleek for an outstanding deal.
                    example: true
                  countries:
                    type: array
                    items:
                      type: string
                    description: >-
                      The countries the retailer's cashback offer is available.
                      Format: `ISO 3166-1 alpha-2 code`
                    example:
                      - CA
                      - US
                  maximumFixedCommissionFee:
                    type: number
                    nullable: true
                    description: >-
                      The fixed cashback offered by the retailer. If null, the
                      retailer offers a percentage.
                    example: 75
                  description:
                    type: string
                    nullable: true
                    description: The description of the fixed cashback offer.
                    example: $75.00 cashback on all orders.
                  category:
                    type: string
                    nullable: true
                    description: The category of the cashback offer.
                    example: Electronics
                  termsAndExclusions:
                    type: string
                    nullable: true
                    description: The terms and exclusions of the cashback offer.
                    example: Excludes all Apple products
                  cashbackPercentage:
                    type: number
                    description: >-
                      The percentage of cashback the retailer offers. In decimal
                      form.
                    example: 0.14
                  retailerId:
                    type: string
                    description: >-
                      The ID of the retailer associated with the cashback offer.
                      Format: `UUID RFC 4122`
                    example: 4f9df53d-16dc-4630-8603-8d14ec40fcfe
                  logo:
                    type: string
                    description: URL of the retailer's logo.
                    example: https://example.com/logo.png
                  url:
                    type: string
                    description: The url of the retailer's website.
                    example: https://www.bestbuy.com
                  name:
                    type: string
                    description: The name of the cashback offer's retailer.
                    example: BestBuy
                  hostname:
                    type: string
                    description: The hostname of the retailer's website.
                    example: www.bestbuy.com
                  updatedAt:
                    type: string
                    description: >-
                      The date and time the cashback offer was last updated.
                      Format: `ISO 8601`
                    example: '2023-10-01T12:00:00.000Z'
                required:
                  - id
                  - featured
                  - countries
                  - maximumFixedCommissionFee
                  - description
                  - category
                  - termsAndExclusions
                  - cashbackPercentage
                  - retailerId
                  - url
                  - name
                  - hostname
                  - updatedAt
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````